synapseRT NextGen supports JIRA 7.0.x and higher.

Note that 8.3.1.0 & 8.4.0.0 support JIRA 6.3 - JIRA 6.4.14

Version support matrix

synapseRT NextGen Version

JIRA Minimum Version

JIRA Maximum Version

8.0.x

7.0.0

7.1.x

8.1.x7.0.07.1.x
8.2.x7.0.07.1.x
8.3.x.17.0.07.2.x
8.3.1.06.36.4.14
8.4.x.17.0.07.3.x
8.4.0.06.36.4.14